cereal::XMLInputArchive::NodeInfo Struct Reference

A struct that contains metadata about a node. More...

`#include </build/libcereal-5WjGYR/libcereal-1.3.2+dfsg/include/cereal/archives/xml.hpp>`

## Public Member Functions

| NodeInfo (rapidxml::xml_node<> *n=nullptr)
void | advance ()
| Advances to the next sibling node of the child. More...
rapidxml::xml_node * | search (const char *searchName)
| Searches for a child with the given name in this node. More...
const char * | getChildName () const
| Returns the actual name of the next child node, if it exists.

## Public Attributes

rapidxml::xml_node * | node
| A pointer to this node.
rapidxml::xml_node * | child
| A pointer to its current child.
size_t | size
| The remaining number of children for this node.
const char * | name
| The NVP name for next child node.

## Detailed Description

A struct that contains metadata about a node.

Keeps track of some top level node, its number of remaining children, and the current active child node

## Member Function Documentation

## advance()

void cereal::XMLInputArchive::NodeInfo::advance | ( |  | ) |

inline

Advances to the next sibling node of the child.

If this is the last sibling child will be null after calling

## search()

rapidxml::xml_node * cereal::XMLInputArchive::NodeInfo::search | ( | const char * | searchName | ) |

inline

Searches for a child with the given name in this node.

Parameters

  searchName | The name to search for (must be null terminated)

Returns
  The node if found, nullptr otherwise

The documentation for this struct was generated from the following file:

- xml.hpp